#2 New upstream release 5.0.0
Closed 11 months ago by ankursinha. Opened a year ago by dcallagh.
rpms/ dcallagh/python-rdflib update-to-5.0.0  into  rawhide

file modified
+1
@@ -6,3 +6,4 @@ 

  /rdflib-4.1.1.tar.gz

  /rdflib-4.1.2.tar.gz

  /rdflib-4.2.1.tar.gz

+ /rdflib-5.0.0.tar.gz

@@ -1,65 +0,0 @@ 

- From 7b69cb5f2fe46d46814712cdc43123807c681dc3 Mon Sep 17 00:00:00 2001

- From: Dan Scott <dan@coffeecode.net>

- Date: Sun, 2 Mar 2014 19:55:08 -0500

- Subject: [PATCH] Make SPARQLWrapper an extra_requires for now

- 

- Per discussion in https://github.com/RDFLib/rdflib/pull/359

- 

- Signed-off-by: Dan Scott <dan@coffeecode.net>

- ---

- diff --git a/setup.py b/setup.py

- index c21cc27..d7a8347 100644

- --- a/setup.py

- +++ b/setup.py

- @@ -41,8 +41,8 @@ if sys.version_info[0] >= 3:

-      kwargs['install_requires'] = ['isodate', 'pyparsing']

-      kwargs['tests_require'] = ['html5lib', 'networkx']

-      kwargs['requires'] = [

- -        'isodate', 'pyparsing',

- -        'SPARQLWrapper']

- +        'isodate', 'pyparsing']

- +    kwargs['extras_require'] = {'SPARQLStore': 'SPARQLWrapper'}

-      kwargs['src_root'] = setup_python3()

-      assert setup

-  else:

- @@ -52,7 +52,8 @@ else:

-          kwargs['test_suite'] = "nose.collector"

-          kwargs['install_requires'] = [

-              'isodate',

- -            'pyparsing', 'SPARQLWrapper']

- +            'pyparsing']

- +        kwargs['extras_require'] = {'SPARQLStore': 'SPARQLWrapper'}

-          kwargs['tests_require'] = ['networkx']

-  

-          if sys.version_info[1]<7:  # Python 2.6

- diff --git a/test/test_dataset.py b/test/test_dataset.py

- index 4d39c3d..d12d054 100644

- --- a/test/test_dataset.py

- +++ b/test/test_dataset.py

- @@ -2,6 +2,12 @@ import sys

-  import os

-  import unittest

-  

- +try:

- +    import SPARQLWrapper

- +except ImportError:

- +    from nose.exc import SkipTest

- +    raise SkipTest("SPARQLWrapper not installed")

- +

-  from tempfile import mkdtemp, mkstemp

-  import shutil

-  from rdflib import Graph, Dataset, URIRef, BNode, plugin

- diff --git a/test/test_issue457.py b/test/test_issue457.py

- index f9957db..8c6f491 100644

- --- a/test/test_issue457.py

- +++ b/test/test_issue457.py

- @@ -1,4 +1,9 @@

-  # test for https://github.com/RDFLib/rdflib/issues/457

- +try:

- +    import SPARQLWrapper

- +except ImportError:

- +    from nose.exc import SkipTest

- +    raise SkipTest("SPARQLWrapper not installed")

-  

-  import io

-  from xml.etree import ElementTree

file modified
+7 -5
@@ -3,14 +3,13 @@ 

  %global run_tests 1

  

  Name:           python-%{pypi_name}

- Version:        4.2.1

- Release:        16%{?dist}

+ Version:        5.0.0

+ Release:        1%{?dist}

  Summary:        Python library for working with RDF

  

  License:        BSD

  URL:            https://github.com/RDFLib/rdflib

- Source0:        http://pypi.python.org/packages/source/r/rdflib/rdflib-%{version}.tar.gz

- Patch1:         %{name}-SPARQLWrapper-optional.patch

+ Source0:        https://files.pythonhosted.org/packages/source/r/rdflib/rdflib-%{version}.tar.gz

  BuildArch:      noarch

  

  BuildRequires:  python3-html5lib >= 1:
@@ -60,7 +59,6 @@ 

  

  %prep

  %setup -q -n rdflib-%{version}

- %patch1 -p1

  

  # remove bundled egg-info

  rm -rf %{pypi_name}.egg-info
@@ -150,6 +148,10 @@ 

  %{_bindir}/rdfs2dot-3*

  

  %changelog

+ * Sat Dec 12 2020 Dan Callaghan <djc@djc.id.au> - 5.0.0-1

+ - New upstream release 5.0.0:

+   https://github.com/RDFLib/rdflib/blob/5.0.0/CHANGELOG.md

+ 

  * Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-16

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

  

file modified
+1 -1
@@ -1,1 +1,1 @@ 

- SHA512 (rdflib-4.2.1.tar.gz) = 49145f80a9e027847523faed059c16ec1de358bb9d8fc3ab4fd3bf95a88dd181986b1785deedf6e837cf0b064bd74ab8e27fbb5581e33310353da3546ae7b016

+ SHA512 (rdflib-5.0.0.tar.gz) = ba98ab6a7bb9d993d11c559a739761f297282eb9307f3e333db8dd1c6b365b408a59b701d823bef9be774a59b3f44f64c9444e3bb0115c0c549cb00945385dab

no initial comment

Hello @dcallagh

Just wanted to know when would you be pushing the update?

I was waiting for the maintainer to comment, or merge it...

I guess he is not paying too much attention to this package anymore. I don't know if I should go around his back, I am only a committer on rdflib because I was maintaining the EPEL6 branch a long time ago.

Ohh sorry @dcallagh , I thought you were the maintainer. No need to go behind the back, we can wait for the maintainer to have a look at this first.

I see there are multiple maintainers here: @nphilipp @pingou @dscott @dmalcolm : would any of you have time to take a look at this please, or let @dcallagh proceed? This is blocking other dependent packages, for example: https://bugzilla.redhat.com/show_bug.cgi?id=1901576 and https://bugzilla.redhat.com/show_bug.cgi?id=1889366

I'm a proven packager so I can help here too if needed.

FWIW I don't have time to look at this (and probably should relinquish my maintainership; it has been many years since I've looked at this package)

I'm in a similar position as @dmalcolm but as I do rely on python-rdflib for occasional work, I'll try to look at it today. If I don't take any further action, feel free to remove my maintainership.

Merged to rawhide and f34 with one minor tweak to avoid a lint error. Thanks @dcallagh and @ankursinha for the nudge!

Pull-Request has been closed by ankursinha

11 months ago